function init(hero) {
    hero.setName("Robin");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
	hero.addEquipment("fiskheroes:bo_staff");
    
    hero.addPowers("nh:notspandex");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.2, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.4, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    
    hero.setHasPermission(hasPermission);
    hero.setHasProperty(hasProperty);

    hero.addSoundEvent("MASK_OPEN", "nh:robin_hood_close");
    hero.addSoundEvent("MASK_CLOSE", "nh:robin_hood_close");
}
function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
